# Use root/example as user/password credentials
version: '2.2'

networks:
  app-tier:
    driver: bridge

services:
  notice:
    build: .
    restart: unless-stopped
    mem_limit: 3gb
    #    cpus: 2
    #    cpuset: "0"
    scale: 1
    environment:
      - DEBUG=True
      - IN_DOCKER=True
      - APP_MAIN_PORT=9001
    ports:
      - "9001:9001"
    logging:
      driver: "json-file"
      options:
        max-file: "2"   # number of files or file count
        max-size: "1G" # file size
    volumes:
      - /var/www/NoticeGen/uploads:/var/www/NoticeGen/uploads
    networks:
      - app-tier
